Greenbone Vulnerability Management Libraries: gmp_create_task_opts_t Struct Reference

Greenbone Vulnerability Management Libraries 23.1.2

Data Fields
gmp_create_task_opts_t Struct Reference

Struct holding options for gmp create_task command. More...

`#include <gmp.h>`

## Data Fields
array_t * | alert_ids
| Array of alert IDs.
const char * | config_id
| ID of config.
const char * | scanner_id
| ID of task scanner.
const char * | schedule_id
| ID of task schedule.
const char * | slave_id
| ID of task schedule.
const char * | target_id
| ID of target.
const char * | name
| Name of task.
const char * | comment
| Comment on task.
const char * | hosts_ordering
| Not used, kept for reasons of compatibility.
const char * | observers
| Comma-separated string of observer users.
array_t * | observer_groups
| IDs of observer groups.
int | schedule_periods
| Number of periods the schedule must run for.
const char * | in_assets
| In assets preference.
const char * | max_hosts
| Max hosts preference.
const char * | max_checks
| Max checks preference.
const char * | source_iface
| Source iface preference.
int | alterable
| Whether the task is alterable.

## Detailed Description

Struct holding options for gmp create_task command.

## Field Documentation

## ◆ alert_ids

array_t* gmp_create_task_opts_t::alert_ids

Array of alert IDs.

## ◆ alterable

int gmp_create_task_opts_t::alterable

Whether the task is alterable.

## ◆ comment

const char* gmp_create_task_opts_t::comment

Comment on task.

## ◆ config_id

const char* gmp_create_task_opts_t::config_id

ID of config.

## ◆ hosts_ordering

const char* gmp_create_task_opts_t::hosts_ordering

Not used, kept for reasons of compatibility.

## ◆ in_assets

const char* gmp_create_task_opts_t::in_assets

In assets preference.

## ◆ max_checks

const char* gmp_create_task_opts_t::max_checks

Max checks preference.

## ◆ max_hosts

const char* gmp_create_task_opts_t::max_hosts

Max hosts preference.

## ◆ name

const char* gmp_create_task_opts_t::name

Name of task.

## ◆ observer_groups

array_t* gmp_create_task_opts_t::observer_groups

IDs of observer groups.

## ◆ observers

const char* gmp_create_task_opts_t::observers

Comma-separated string of observer users.

## ◆ scanner_id

const char* gmp_create_task_opts_t::scanner_id

ID of task scanner.

## ◆ schedule_id

const char* gmp_create_task_opts_t::schedule_id

ID of task schedule.

## ◆ schedule_periods

int gmp_create_task_opts_t::schedule_periods

Number of periods the schedule must run for.

## ◆ slave_id

const char* gmp_create_task_opts_t::slave_id

ID of task schedule.

## ◆ source_iface

const char* gmp_create_task_opts_t::source_iface

Source iface preference.

## ◆ target_id

const char* gmp_create_task_opts_t::target_id

ID of target.

The documentation for this struct was generated from the following file:

- gmp/gmp.h